## org.apache.batik.dom.svg
Class SVGOMAnimatedLengthList

    java.lang.Object
      org.apache.batik.dom.svg.SVGOMAnimatedLengthList

All Implemented Interfaces:
  LiveAttributeValue, SVGAnimatedLengthList

public class SVGOMAnimatedLengthList
extends java.lang.Object
implements SVGAnimatedLengthList, LiveAttributeValue

This class is the implementation of the SVGAnimatedLengthList interface.

Nested Class Summary
`class` `SVGOMAnimatedLengthList.SVGOMLengthList` SVGLengthList implementation.

Field Summary
`protected boolean` `changing` Whether the list is changing.
`protected java.lang.String` `defaultValue` Default value for the 'points' attribute.
`protected short` `direction` This length list's direction.
`protected AbstractElement` `element` The associated element.
`protected AbstractSVGLengthList` `lengths` SVGPLengthList
`protected java.lang.String` `localName` The attribute's local name.
`protected java.lang.String` `namespaceURI` The attribute's namespace URI.

Constructor Summary
`SVGOMAnimatedLengthList(AbstractElement elt, java.lang.String ns, java.lang.String ln, java.lang.String defaultValue, short direction)`

Method Summary
`void` `attrAdded(org.w3c.dom.Attr node, java.lang.String newv)` Called when an Attr node has been added.
`void` `attrModified(org.w3c.dom.Attr node, java.lang.String oldv, java.lang.String newv)` Called when an Attr node has been modified.
`void` `attrRemoved(org.w3c.dom.Attr node, java.lang.String oldv)` Called when an Attr node has been removed.
`SVGLengthList` `getAnimVal()`
`SVGLengthList` `getBaseVal()` return the SVGLengthList mapping the static attribute of the element

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### element

    protected AbstractElement element

  The associated element.

### namespaceURI

    protected java.lang.String namespaceURI

  The attribute's namespace URI.

### localName

    protected java.lang.String localName

  The attribute's local name.

### changing

    protected boolean changing

  Whether the list is changing.

### lengths

    protected AbstractSVGLengthList lengths

  SVGPLengthList

### defaultValue

    protected java.lang.String defaultValue

  Default value for the 'points' attribute.

### direction

    protected short direction

  This length list's direction.

Constructor Detail

### SVGOMAnimatedLengthList

    public SVGOMAnimatedLengthList(AbstractElement elt,
                                   java.lang.String ns,
                                   java.lang.String ln,
                                   java.lang.String defaultValue,
                                   short direction)

Method Detail

### getBaseVal

    public SVGLengthList getBaseVal()

  return the SVGLengthList mapping the static attribute of the element

  Specified by:
    `getBaseVal` in interface `SVGAnimatedLengthList`
  Returns:
    a length list.

### getAnimVal

    public SVGLengthList getAnimVal()

  Specified by:
    `getAnimVal` in interface `SVGAnimatedLengthList`

### attrAdded

    public void attrAdded(org.w3c.dom.Attr node,
                          java.lang.String newv)

  Called when an Attr node has been added.

  Specified by:
    `attrAdded` in interface `LiveAttributeValue`

### attrModified

    public void attrModified(org.w3c.dom.Attr node,
                             java.lang.String oldv,
                             java.lang.String newv)

  Called when an Attr node has been modified.

  Specified by:
    `attrModified` in interface `LiveAttributeValue`

### attrRemoved

    public void attrRemoved(org.w3c.dom.Attr node,
                            java.lang.String oldv)

  Called when an Attr node has been removed.

  Specified by:
    `attrRemoved` in interface `LiveAttributeValue`

Copyright © 2004 Apache Software Foundation. All Rights Reserved.